> ## Documentation Index
> Fetch the complete documentation index at: https://docs.defiorbit.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Request Logs

> Paginated request history for your organization. Filter by time range, API key, endpoint, HTTP status, and success/errors.

**Credits:** 1 per successful call.



## OpenAPI

````yaml /openapi.yaml get /v1/usage/logs
openapi: 3.1.0
info:
  title: DeFi Orbit API
  version: 1.0.0
  description: Public REST API for DeFi Orbit positions, lending, portfolio, and usage.
servers:
  - url: https://api.defiorbit.xyz
security:
  - bearerAuth: []
tags:
  - name: Portfolio
  - name: Snapshots
  - name: Uniswap V3
  - name: Aerodrome V3
  - name: Orca
  - name: Aave V3
  - name: Morpho
  - name: Kamino
  - name: Usage
paths:
  /v1/usage/logs:
    get:
      tags:
        - Usage
      summary: List API Request Logs
      description: >-
        Paginated request history for your organization. Filter by time range,
        API key, endpoint, HTTP status, and success/errors.


        **Credits:** 1 per successful call.
      operationId: get_v1_usage_logs
      parameters:
        - name: range
          in: query
          required: false
          schema:
            type: string
            enum:
              - 5m
              - 1h
              - 24h
              - 7d
              - 30d
            description: >-
              Omit for the last 24 hours. Values: `5m`, `1h`, `24h`, `7d`,
              `30d`. Default: Last 24 hours.
            example: 24h
        - name: from
          in: query
          required: false
          schema:
            type: string
            description: '`YYYY-MM-DD` or ISO timestamp.'
        - name: to
          in: query
          required: false
          schema:
            type: string
            description: '`YYYY-MM-DD` or ISO timestamp.'
        - name: api_key_id
          in: query
          required: false
          schema:
            type: string
            description: API key ID.
        - name: path
          in: query
          required: false
          schema:
            type: string
            description: Endpoint path.
        - name: status_code
          in: query
          required: false
          schema:
            type: integer
            description: HTTP status code.
        - name: errors
          in: query
          required: false
          schema:
            type: string
            enum:
              - all
              - success
              - errors
            description: >-
              Omit or set to `all` for all requests. `success` returns
              successful calls only. `errors` returns errors only. Default: all
              requests.
        - name: page
          in: query
          required: false
          schema:
            type: integer
            description: 'Page. Default: 1.'
            default: 1
            example: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: 'Maximum 25. Default: 10.'
            default: 10
            maximum: 25
            example: 10
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/RequestId'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            method:
                              type: string
                            path:
                              type: string
                            status_code:
                              type: integer
                            latency_ms:
                              type: integer
                            credits_charged:
                              type: integer
                              description: >-
                                Credits spent on this call. 0 when the call
                                failed.
                            requested_at:
                              type: string
                            api_key_id:
                              type: string
                            api_key_name:
                              type: string
                          required:
                            - method
                            - path
                            - status_code
                            - latency_ms
                            - credits_charged
                            - requested_at
                            - api_key_id
                            - api_key_name
                      pagination:
                        $ref: '#/components/schemas/Pagination'
                    required:
                      - data
                      - pagination
              example:
                data:
                  - method: GET
                    path: /v1/positions/uniswapv3
                    status_code: 200
                    latency_ms: 42
                    credits_charged: 2
                    requested_at: '2026-09-01T12:00:00.000Z'
                    api_key_id: key_abc123
                    api_key_name: Production
                pagination:
                  page: 1
                  limit: 10
                  total: 120
                  next_page: https://api.defiorbit.xyz/path?page=2&limit=10
                  prev_page: null
                request_id: req_...
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    RequestId:
      type: object
      required:
        - request_id
      properties:
        request_id:
          type: string
          description: Id to quote when you contact support.
    Pagination:
      type: object
      required:
        - page
        - limit
        - total
        - next_page
        - prev_page
      properties:
        page:
          type: integer
        limit:
          type: integer
        total:
          type: integer
          description: Matching rows, before this page is sliced.
        next_page:
          type: string
          nullable: true
          description: URL of the next page, or null on the last page.
        prev_page:
          type: string
          nullable: true
          description: URL of the previous page, or null on the first page.
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - request_id
          properties:
            code:
              type: string
            message:
              type: string
            request_id:
              type: string
  responses:
    BadRequest:
      description: Missing or invalid parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INVALID_PARAMETER
              message: page must be a positive integer.
              request_id: req_...
    Unauthorized:
      description: Missing, malformed, invalid, or revoked API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INVALID_API_KEY
              message: Missing API key.
              request_id: req_...
    PaymentRequired:
      description: The organization does not have enough credits.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INSUFFICIENT_CREDITS
              message: Insufficient API credits.
              request_id: req_...
    Forbidden:
      description: The organization is suspended, or the endpoint or feature is disabled.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: ACCOUNT_SUSPENDED
              message: This organization is suspended.
              request_id: req_...
    TooManyRequests:
      description: The organization exceeded its requests-per-second limit.
      headers:
        Retry-After:
          description: Seconds to wait before retrying.
          schema:
            type: integer
        X-RateLimit-Limit:
          description: Requests per second for the organization.
          schema:
            type: integer
        X-RateLimit-Remaining:
          description: Requests left in the current window.
          schema:
            type: integer
        X-RateLimit-Reset:
          description: Unix time when the window resets.
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: RATE_LIMIT_EXCEEDED
              message: Rate limit exceeded. Please try again later.
              request_id: req_...
    InternalError:
      description: Unexpected server error, or pricing is not configured.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error:
              code: INTERNAL_ERROR
              message: An unexpected error occurred.
              request_id: req_...
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Paste your API key from the
        [dashboard](https://platform.defiorbit.xyz/dashboard/keys). The key
        starts with `do_sk_`.
      x-default: YOUR_API_KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.